Skip To Content

2022 system requirements

Need info for earlier versions? See 2021 system requirements.

The system requirements for all ArcGIS StreetMap Premium 2022 releases are noted below.

Hardware requirements

ArcGIS StreetMap Premium 2022 system requirements

ArcGIS StreetMap Premium

CPU Speed

Recommended same as ArcGIS software using product.

Processor

Recommended same as ArcGIS software using product.

Memory/RAM

Recommended same as ArcGIS software using product.*

Display Properties

Recommended same as ArcGIS software using product.

Screen Resolution

Recommended same as ArcGIS software using product.

Swap Space

Recommended same as ArcGIS software using product.

Disk Space

Standard releases

  • ArcGIS StreetMap Premium North America 2022 Release 1: 50.0 GB

Custom Roads

  • ArcGIS StreetMap Premium Custom Roads North America 2022 Release 1: 103.1 GB

Networking Hardware

Recommended same as ArcGIS software using product.

Video/Graphics Adapter

Recommended same as ArcGIS software using product.

* Creating geocoding services in ArcGIS Server with some of the larger StreetMap Premium locators can consume a significant amount of RAM on the ArcGIS Server machine, so on top of the RAM required to run ArcGIS Server (approximately 2 GB), you will need additional RAM to publish a geocoding service using one of the StreetMap Premium locators. In addition, with all other things being equal, the use of a solid-state drive (SSD) instead of a hard disk drive (HDD) will improve batch geocoding performance. For more information, see Optimize performance for geocoding services published from the locators.

For more information on ArcGIS Enterprise system requirements, see ArcGIS Server 10.9.x system requirements or ArcGIS Server 10.8.x system requirements.

For more information on ArcGIS Pro system requirements, see ArcGIS Pro system requirements.

For more information on ArcGIS Desktop system requirements, see ArcGIS Desktop 10.8.x system requirements.

Software requirements

To use ArcGIS StreetMap Premium with ArcGIS Pro and ArcGIS Enterprise, see the table below for software requirements.

ProductArcGIS software
Standard releases

ArcGIS StreetMap Premium North America 2022 Release 1 file geodatabase (.gdb)

ArcGIS Desktop or ArcGIS Enterprise 10.8.1 or later; ArcGIS Pro 2.8.5 or later

ArcGIS StreetMap Premium North America 2022 Release 1 locators

ArcGIS Enterprise 10.8.1 or later; ArcGIS Pro 2.8.5 or later

Mobile map packages

ArcGIS StreetMap Premium North America 2022 Release 1 mobile map package (.mmpk)

ArcGIS Pro 2.8.5 or later

Custom Roads

ArcGIS StreetMap Premium Custom Roads North America 2022 Release 1

ArcGIS Pro 2.9.1 or later or ArcGIS Enterprise 10.8.1 or later*

Locator Updates
ArcGIS Runtime

ArcGIS StreetMap Premium for ArcGIS Runtime

ArcGIS Runtime 100.8 or later, ArcGIS Navigator 20.0.1 or later, and ArcGIS Pro 2.8.5 or later

* See the ArcGIS Runtime software requirements for prerequisites for creating mobile map packages (.mmpk) from the Custom Roads data.

Note:

Travel modes can be accessed only through ArcGIS Pro, ArcGIS Server, geoprocessing tools, and Python.

Supported operating systems

ArcGIS Desktop

Supported operating systems for using ArcGIS StreetMap Premium with ArcGIS Desktop are the same as for ArcGIS Desktop. For more information on supported operating systems for ArcGIS Desktop, see ArcGIS Desktop 10.8.x system requirements.

ArcGIS Enterprise

Supported operating systems for using ArcGIS StreetMap Premium with ArcGIS Enterprise are the same as for ArcGIS Enterprise. For more information on supported operating systems for ArcGIS Server, see ArcGIS Server 10.9.x system requirements or ArcGIS Server 10.8.x system requirements.

ArcGIS Pro

Supported operating systems for using ArcGIS StreetMap Premium with ArcGIS Pro are the same as for ArcGIS Pro. For more information on supported operating systems for ArcGIS Pro, see ArcGIS Pro system requirements.

ArcGIS Runtime

Supported operating systems for using ArcGIS Runtime are ArcGIS Runtime 100.8 or later, ArcGIS Navigator 20.0.1 or later, and ArcGIS Pro 2.8.5 or later.